Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class NumericAxis

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.chart.yui.Axis
              com.gwtext.client.widgets.chart.yui.NumericAxis

    public class NumericAxis

extends Axis

A type of axis that displays items in categories.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`NumericAxis()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create()`
`void` | `setAlwaysShowZero(boolean alwaysShowZero)` If true, and the bounds are calculated automatically, either the minimum or maximum will be set to zero.
`void` | `setMajorUnit(int majorUnit)` The spacing between major intervals on this axis.
`void` | `setMaximum(int maximum)` The maximum value drawn by the axis.
`void` | `setMinimum(int minimum)` The minimum value drawn by the axis.
`void` | `setMinorUnit(int minorUnit)` The spacing between minor intervals on this axis.
`void` | `setScale(int scale)` The scaling algorithm to use on this axis.
`void` | `setSnapToUnits(boolean snapToUnits)` If true, the labels, ticks, gridlines, and other objects will snap to the nearest major or minor unit.

Methods inherited from class com.gwtext.client.widgets.chart.yui.Axis
`getHideOverlappingLabels, getOrientation, getReverse, getType, setHideOverlappingLabels, setLabelFunction, setOrientation, setReverse, setType`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericAxis

    public NumericAxis()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create()

  Overrides:
    `create` in class `Axis`

### setAlwaysShowZero

    public void setAlwaysShowZero(boolean alwaysShowZero)

  If true, and the bounds are calculated automatically, either the minimum or maximum will be set to zero.

  Parameters:
    `alwaysShowZero` - always show zero

### setMajorUnit

    public void setMajorUnit(int majorUnit)

  The spacing between major intervals on this axis.

  Parameters:
    `majorUnit` - the spacing between major intervals on this axis.

### setMaximum

    public void setMaximum(int maximum)

  The maximum value drawn by the axis. If not set explicitly, the axis maximum will be calculated automatically.

  Parameters:
    `maximum` - the maximum value drawn by the axis. If not set explicitly, the axis maximum will be calculated automatically.

### setMinimum

    public void setMinimum(int minimum)

  The minimum value drawn by the axis. If not set explicitly, the axis minimum will be calculated automatically.

  Parameters:
    `minimum` - the minimum value drawn by the axis. If not set explicitly, the axis minimum will be calculated automatically.

### setMinorUnit

    public void setMinorUnit(int minorUnit)

  The spacing between minor intervals on this axis.

  Parameters:
    `minorUnit` - the spacing between minor intervals on this axis.

### setScale

    public void setScale(int scale)

  The scaling algorithm to use on this axis. May be "linear" or "logarithmic".

  Parameters:
    `scale` - the scaling algorithm to use on this axis. May be "linear" or "logarithmic".

### setSnapToUnits

    public void setSnapToUnits(boolean snapToUnits)

  If true, the labels, ticks, gridlines, and other objects will snap to the nearest major or minor unit. If false, their position will be based on the minimum value.

  Parameters:
    `snapToUnits` - true to snap to units

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD